%bcond_with bootstrap

%undefine __brp_mangle_shebangs
%global    gem_name    rspec-support

Summary:    Common functionality to Rspec series
Name:       rubygem-%{gem_name}
Version:    3.12.0
Release:    7%{?dist}
License:    MIT
URL:        https://github.com/rspec/rspec-support

Source0:    https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:    https://github.com/rspec/%{gem_name}/archive/refs/tags/v%{version}.tar.gz

Patch3000:  rubygem-rspec-support-3.12.0-pend-lock-fiber-test.patch
Patch3001:  rubygem-rspec-support-3.2.1-callerfilter-searchpath-regex.patch

BuildRequires:    rubygems-devel
%if %{without bootstrap}
BuildRequires:    rubygem(rspec) rubygem(thread_order) rubygem(bigdecimal) rubygem(rake) git
%endif

BuildArch:        noarch

%description
`RSpec::Support` provides common functionality to `RSpec::Core`, `RSpec::Expectations` and
`RSpec::Mocks`. It is considered suitable for internal use only at this time.

%prep
%setup -q -T -n %{gem_name}-%{version} -b 1
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%patch3000 -p1
%patch3001 -p1

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/*  %{buildroot}%{gem_dir}/

%check
%if %{without bootstrap}
LANG=C.UTF-8

FAILFILE=()
FAILTEST=()

for ((i = 0; i < ${#FAILFILE[@]}; i++)) {
    sed -i -e "\@${FAILTEST[$i]}@s|do$|, :broken => true do|" ${FAILFILE[$i]}
}

export RUBYLIB=$(pwd)/lib
rspec spec/ || rspec --tag ~broken
%endif

%files
%license    %{gem_instdir}/LICENSE.md
%doc    %{gem_docdir}
%doc    %{gem_instdir}/Changelog.md
%doc    %{gem_instdir}/README.md
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 3.12.0-2
- close bootstrap

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 3.12.0-1
- initial build
